<?php 
/**
 * Plugin Name: Hash User Id (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/HashUserId
 * Description: Anonymize UserId using salt and sha1 hash.
 * Author: iMarkus, hagor
 * Author URI: https://github.com/iMarkus/Piwik-HashUserId
 * Version: 0.4.0
 */
?><?php
/**
 * Piwik - free/libre analytics platform
 *
 * @link http://piwik.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 */

namespace Piwik\Plugins\HashUserId;

use Piwik\Common;
use Piwik\Container\StaticContainer;
use Psr\Log\LoggerInterface;
use Piwik\Plugin;
use Exception;

 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class HashUserId extends \Piwik\Plugin
{
    public function activate()
    {
	$logger = StaticContainer::get('Psr\Log\LoggerInterface');
	$logger->info('Plugin HashUserId activated');
    }

    public function deactivate()
    {
        $logger = StaticContainer::get('Psr\Log\LoggerInterface');
        $logger->info('Plugin HashUserId deactivated.');
    }
}
